Player = {
  pos = {0, 0},
  speed = 0
}

function Player.new(pos, speed)
  local self = setmetatable({}, Player)
  self.pos = pos or {0, 0}
  self.speed = speed or 300
end

function love.load()
  player = Player.new({0, 0}, 300)
end

function love.update(dt)
  if love.keyboard.isDown("left")  then player.pos[1] = player.pos[1] - player.speed * dt end
  if love.keyboard.isDown("right") then player.pos[1] = player.pos[1] + player.speed * dt end
  if love.keyboard.isDown("down")  then player.pos[2] = player.pos[2] + player.speed * dt end
  if love.keyboard.isDown("up")    then player.pos[2] = player.pos[2] - player.speed * dt end
end

function love.draw()
  love.graphics.circle("fill", player.pos[1], player.pos[2], 10)
end
